org.codehaus.groovy.runtime.metaclass

## Class ConcurrentReaderHashMap.BarrierLock

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.BarrierLock

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConcurrentReaderHashMap

    protected static class ConcurrentReaderHashMap.BarrierLock
    extends Object
    implements Serializable

A Serializable class for barrier lock

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ConcurrentReaderHashMap.BarrierLock()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentReaderHashMap.BarrierLock

    protected ConcurrentReaderHashMap.BarrierLock()